<?php

/**
 * RAWR for WordPress
 *
 * @link              https://rawr.at
 * @since             0.0.1
 * @package           Rawr
 *
 * @wordpress-plugin
 * Plugin Name:       RAWR for WordPress
 * Plugin URI:        https://rawr.at
 * Description:       RAWR. You got information - we got conversation! Rawr widgets sit right within the story. They grab the reader’s attention at the point of highest emotional activation.
 * Version:           0.0.7
 * Author:            RAWR
 * Author URI:        https://rawr.at
 * Text Domain:       rawr
 * Domain Path:       /languages
 */
if ( ! defined( 'WPINC' ) ) {
  die;
}

/**
 * The code that runs during plugin activation.
 */
function activate_rawr() {
  require_once plugin_dir_path( __FILE__ ) . 'includes/class-rawr-activator.php';
  Rawr_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 */
function deactivate_rawr() {
  require_once plugin_dir_path( __FILE__ ) . 'includes/class-rawr-deactivator.php';
  Rawr_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_rawr' );
register_deactivation_hook( __FILE__, 'deactivate_rawr' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-rawr.php';

/**
 * Begins execution of the plugin, defines constants and loads required resources
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    0.0.1
 */
function run_rawr() {
  if ( ! defined( 'rawrPluginName' ) ) {
    define("rawrPluginName", 'rawr');
  }
  if ( ! defined( 'rawrPluginVersion' ) ) {
    define("rawrPluginVersion", '0.0.7');
  }
  if ( ! defined( 'rawrPluginUrl' ) ) {
    define("rawrPluginUrl", plugin_dir_url( __FILE__ ));
  }
  if ( ! defined( 'rawrPluginPath' ) ) {
    define("rawrPluginPath", plugin_dir_path( __FILE__ ));
  }
  if ( ! defined( 'rawrHomeUrl' ) ) {
    define("rawrHomeUrl", 'https://rawr.at');
  }
  if ( ! defined( 'rawrAdminUrl' ) ) {
    define("rawrAdminUrl", 'https:/admin.rawr.at');
  }
  if ( ! defined( 'rawrTranslationSlug' ) ) {
    define("rawrTranslationSlug", 'rawr');
  }
  if ( ! defined( 'rawrOptionName' ) ) {
    define("rawrOptionName", 'rawr');
  }

  $plugin = new Rawr();
  $plugin->run();

}
run_rawr();
